import React, { forwardRef } from 'react'
import { Table } from 'antd'
import styled from 'styled-components'
import JsonEditor from './utils/JsonEditor'
import PropTypes from 'prop-types'

const DataTable = styled.div`
  height: 100%;
  .table-style {
    .ant-table-thead {
      > tr {
        > th {
          background: #e3eefd !important;
        }
      }
    }
  }
`

const DataTableStruct = forwardRef(({ currentStep, tableData, datax }, ref) => {
  const columns = [
    {
      title: '序号',
      dataIndex: 'id',
      key: 'id',
    },
    {
      title: '字段',
      dataIndex: 'field',
      key: 'field',
    },
    {
      title: '类型',
      dataIndex: 'type',
      key: 'type',
    },
  ]

  let content = (
    <Table columns={columns} dataSource={tableData} className={'table-style'} />
  )
  if (currentStep === 3) {
    content = <JsonEditor code={JSON.stringify(datax)} ref={ref} />
  }

  return <DataTable>{content}</DataTable>
})

export default DataTableStruct

DataTableStruct.propTypes = {
  currentStep: PropTypes.number,
  tableData: PropTypes.any,
  datax: PropTypes.any,
}
